MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022692Community[OCCT] OCCT:Modeling Algorithmspublic2011-08-01 13:062012-03-29 17:26
Reporteratp 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022692: A wrong function is called inside the Extrema_CurveTool::IsRational
DescriptionBug reported by QbProg in thread http://www.opencascade.org/org/forum/thread_21294/ [^]

In the Extrema_CurveTool adaptor, a wrong function was called inside the Extrema_CurveTool::IsRational
(Degree () instead of IsRational ())

see the patch
Additional information
and documentation updates
Modified entities:

Extrema_CurveTool.lxx

modified methods:

inline Standard_Boolean Extrema_CurveTool::IsRational(const Adaptor3d_Curve& C)
TagsNo tags attached.
Test case numberTest case is not required
Attached Filespatch file icon Extrema_CurveTool.patch (466 bytes) 2011-08-01 13:06

- Relationships

-  Notes
(0018083)
jgv (developer)
2011-09-07 15:07

No need to review and to test. It is only necessary to compile without errors.
(0018084)
jgv (developer)
2011-09-07 15:08

No need to review and to test. It is only necessary to compile without errors.
(0018090)
mkv (tester)
2011-09-07 19:31

Julia, sorry, I delete the status.
(0018094)
mkv (tester)
2011-09-08 18:24

Dear BugMaster,
SVN branch http://svn/svn/occt/branches/OCC22692 [^] was created.
There are not compilation errors in mkv-OCC22692-occt and mkv-OCC22692-products created from this branch.
(0018098)
bugmaster (administrator)
2011-09-08 20:04

Integration into trunk of occt repository

Date: 2011-09-08 20:03:48 +0400 (Thu, 08 Sep 2011)
New Revision: 8989

Modified:
   trunk/src/Extrema/Extrema_CurveTool.lxx

- Related Changesets
occt: master a569e8a0
Timestamp: 2011-09-08 16:03:48
Author: jgv
Committer: bugmaster
Details ] Diff ]
0022692: A wrong function is called inside the Extrema_CurveTool::IsRational
mod - src/Extrema/Extrema_CurveTool.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-01 13:06 atp New Issue
2011-08-01 13:06 atp Assigned To => jgv
2011-08-01 13:06 atp File Added: Extrema_CurveTool.patch
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-09-07 15:01 jgv Status new => assigned
2011-09-07 15:01 jgv Status assigned => resolved
2011-09-07 15:06 jgv Additional Information Updated View Revisions
2011-09-07 15:07 jgv Note Added: 0018083
2011-09-07 15:08 jgv Note Added: 0018084
2011-09-07 15:08 jgv Status resolved => reviewed
2011-09-07 19:26 mkv Note Added: 0018089
2011-09-07 19:27 mkv Test case number => Test case is not required
2011-09-07 19:27 mkv Status reviewed => verified
2011-09-07 19:28 mkv Note Deleted: 0018089
2011-09-07 19:28 mkv Status verified => assigned
2011-09-07 19:31 mkv Note Added: 0018090
2011-09-07 19:37 bugmaster Status assigned => resolved
2011-09-08 18:24 mkv Note Added: 0018094
2011-09-08 18:24 mkv Status resolved => tested
2011-09-08 20:04 bugmaster Note Added: 0018098
2011-09-08 20:04 bugmaster Status tested => verified
2011-09-08 20:04 bugmaster Resolution open => fixed
2011-09-20 17:23 szy Target Version => 6.5.2
2012-03-29 17:26 bugmaster Changeset attached => occt master a569e8a0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker